# Scheduled Report Rule Detail

GET /platform/scheduled-reports/rules/{rule_id}: Returns one scheduled report rule with last and next send dates.

Source: https://docs.deepinfo.com/reference/platform/scheduled-report-rule-detail/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/platform/scheduled-reports/rules/{rule_id}`

Returns one scheduled report rule with last and next send dates.

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `rule_id` | Required |  | `000000000000000e8e040001` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `id` | string |  |
| `name` | string |  |
| `type` | string | One of `easm_executive_summary`, `easm_weekly_progress`, `easm_asset_detail`, `easm_vulnerability_detail`, `easm_vulnerability_overview`, `easm_issue_overview`, `easm_issue_detail`, `cti_email_breach_summary` |
| `type_context` | object |  |
| `frequency` | string | One of `daily`, `weekly`, `monthly` |
| `members` | array of string |  |
| `last_sent_date` | string | date-time |
| `next_send_date` | string | date-time |
| `created_at` | string | date-time |
| `updated_at` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `name` | string |
| `type` | string |
| `type_context` | null |
| `frequency` | string |
| `members` | array<string> |
| `last_sent_date` | null |
| `next_send_date` | string |
| `created_at` | string |
| `updated_at` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules/000000000000000e8e040001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "000000000000000e8e040001",
  "name": "Weekly executive summary",
  "type": "easm_executive_summary",
  "type_context": null,
  "frequency": "monthly",
  "members": [
    "00000000-0000-4000-8000-00006bb60001"
  ],
  "last_sent_date": null,
  "next_send_date": "2025-08-30T08:00:00Z",
  "created_at": "2025-06-01T08:00:00Z",
  "updated_at": "2025-07-01T08:00:00Z"
}
```

### 404 · Not Found (nonexistent rule_id)

```bash
curl 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules/ffffffffffffffffffffffff' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Scheduled report rule with id=ffffffffffffffffffffffff does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
